﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.BookCar>
@{
    //var name = Model.FirstOrDefault().StatusOrders.StaName;
    ViewBag.Title = "Lệnh đặt xe";
    ViewBag.Description = "tin bai";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}
@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    //MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail detail = ViewBag.Detail;
    int tbCol = 8;
    
}

@using (Html.BeginForm())
{
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="table-toolbar">
                        @*  <a href="/administrators/bookcars_manager/bookservices_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>*@
                        <button type="button" class="btn btn-danger " data-toggle="modal" data-target="#modal-danger" style="margin-left: 5px">
                            <i class="fa fa-times"></i>Xóa</button>
                        @*   <button class="btn btn-info " type="submit" name="update" value="OK">
                            <i class="fa fa-refresh"></i>Cập nhật vị trí</button>*@
                    </div>
                    <table class="table table-striped table-bordered table-hover" id="bang_@tbCol">
                        <thead>
                            <tr>
                                <th style="width: 25px;">
                                    <label class="checker">
                                        <input type="checkbox" class="group-checkable" data-set="#flip .checkboxes">
                                        <span class="text"></span>
                                    </label>
                                </th>
                                <th>Mã lệnh</th>
                                <th style="width: 200px">Tên Khách hàng</th>
                                <th style="width: 150px">Số điện thoại</th>
                                <th style="width: 150px">Ngày đặt</th>
                                <th style="width: 350px">Thời gian hành trình</th>
                                <th style="width: 150px">Trạng thái</th>
                                <th style="width: 80px">Chi tiết</th>
                            </tr>
                        </thead>
                        <tbody>
                            @{foreach (var item in Model)
                              {
                                <tr>
                                    <td>
                                        <label>
                                            <input type="checkbox" class="checkboxes" name="itemID" value="@item.BookID">
                                            <span class="text"></span>
                                        </label>
                                    </td>
                                    <td>
                                        <a href="/administrators/bookcars_manager/bookorders_detail_edit/@item.BookID">
                                            <b>
                                                @item.OrderID
                                            </b>
                                        </a>
                                        <input type="hidden" name="updateID" value="@item.BookID">
                                    </td>
                                    <td>
                                        @item.CusName
                                    </td>
                                    <td>
                                        @item.CusMobile
                                    </td>
                                     <td>
                                        @item.CreateDate.ToString("dd/MM/yyyy")
                                    </td>
                                    <td>
                                       <span>@item.DateStart.ToString("dd/MM/yyyy") - @item.DateEnd.ToString("dd/MM/yyyy")</span>
                                    </td>
                                   
                                    <td>
                                        @{if (item.StaID == null)
                                          {
                                            <span class="label label-success">Lệnh mới</span>
                                          }
                                          else
                                          {
                                              
                                              <span class="label @item.StatusOrders.Color">@item.StatusOrders.StaName</span>
  
                                          }
                                        }
                                    </td>
                                    <td>
                                        <a href="/administrators/bookcars_manager/bookorders_detail_edit/@item.BookID" class="btn btn-info btn-sm edit"><i class="fa fa-edit"></i></a>
                                    </td>


                                </tr>
                              }}
                        </tbody>
                    </table>
                    <div class="table-toolbar">
                        @*  <a href="/administrators/bookcars_manager/bookservices_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>*@
                        <button type="button" class="btn btn-danger " data-toggle="modal" data-target="#modal-danger" style="margin-left: 5px">
                            <i class="fa fa-times"></i>Xóa</button>
                        @*   <button class="btn btn-info " type="submit" name="update" value="OK">
                            <i class="fa fa-refresh"></i>Cập nhật vị trí</button>*@
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade modal-message modal-danger" id="modal-danger" aria-hidden="false" style="">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <i class="glyphicon glyphicon-fire"></i>
                </div>
                <div class="modal-title">
                    Thông báo
                </div>
                <div class="modal-body">
                    Bạn chắc chắn muốn xóa !
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" type="button" class="btn btn-default" name="deleteOK" value="NO">No</button>
                    <button class="btn btn-danger " type="submit" name="deleteOK" value="OK">Ok</button>

                </div>
            </div>
        </div>
    </div>
    
    <script>
        $(document).ready(function () {
            var error = "@ViewBag.Error";
            if (error != 0) {
                $('#modal-warning-error').modal('show')
            }
        })
    </script>
    
    <div class="modal fade modal-message modal-warning" id="modal-warning-error" aria-hidden="false">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <i class="fa fa-warning"></i>
                </div>
                <div class="modal-title">
                    Thông báo
                </div>
                <div class="modal-body">
                    @ViewBag.Error
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
                </div>
            </div>
        </div>
    </div>
}
@section PageScripts{
    <script>
        $(document).ready(function () {
            $("#orders").addClass("active open");
            $("#bookorder").addClass("active");
        });

    </script>
    <link href="/Static/admin/assets/css/dataTables.bootstrap.css" rel="stylesheet" />
    <script src="/Static/admin/assets/js/datatable/jquery.dataTables.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/ZeroClipboard.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.tableTools.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.bootstrap.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/datatables-init.js"></script>
    <script>
        bang3.init();
        bang4.init();
        bang5.init();
        bang6.init();
        bang7.init();
        bang8.init();
        bang9.init();
    </script>

}

